#![allow(unused_must_use)]
// #![feature(let_chains)]

// TODO: logging (dropped errors)
pub mod client;
pub mod connection;
pub mod error;
pub mod jabber_stream;

pub use connection::Connection;
use connection::Tls;
pub use error::Error;
pub use jabber_stream::JabberStream;
pub use jid::JID;

pub type Result<T> = std::result::Result<T, Error>;

pub use client::connect_and_login;

#[cfg(test)]
mod tests {
    // #[tokio::test]
    // async fn test_login() {
    //     crate::login("test@blos.sm/clown", "slayed").await.unwrap();
    // }
}
